ModernLoop Internal API
Apislack

Get a Slack user profile by user ID

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/slack/users/string" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "id": "string",  "name": "string",  "real_name": "string",  "display_name": "string",  "email": "string",  "phone": "string",  "title": "string",  "status_text": "string",  "status_emoji": "string",  "is_admin": true,  "is_owner": true,  "is_primary_owner": true,  "is_restricted": true,  "is_ultra_restricted": true,  "is_bot": true,  "deleted": true,  "tz": "string",  "tz_label": "string",  "avatar_url": "string",  "updated": 0}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

userId*string

Slack user ID

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json